#include <bits/stdc++.h>

using namespace std;

struct frilenser{
    double plata;
    double procenat;
};

bool poProcentu(frilenser x, frilenser y){
    return x.procenat > y.procenat;
}

double resenje(frilenser frilenseri[], int n){
    double trPlate = frilenseri[0].plata, procenat = frilenseri[0].procenat/100, maks, porez;
    //cout << "TrPlate: " << trPlate << ", procenat: " << procenat << ", porez: " << trPlate/procenat << '\n';
    porez = trPlate*procenat;
    maks = porez;
    for(int i = 1;i < n;i++){
        trPlate += frilenseri[i].plata;
        procenat = frilenseri[i].procenat/100;
        porez = trPlate*procenat;
        //cout << "TrPlate: " << trPlate << ", procenat: " << procenat << ", porez: " << porez << '\n';
        if(porez > maks) maks = porez;
    }
    return maks;
}

int main(){
    //ios::sync_with_stdio(false);
    //cin.tie(0);
    int n;
    cin >> n;
    frilenser frilenseri[n];
    for(int i = 0;i < n;i++){
        cin >> frilenseri[i].plata >> frilenseri[i].procenat;
    }
    sort(frilenseri, frilenseri + n, poProcentu);
    //cout << resenje(frilenseri, n);
    printf("%f", resenje(frilenseri, n));
    //for(int i = 0;i < n;i++)
    //    cout << "Plata: " << frilenseri[i].plata << ", Procenat: " << frilenseri[i].procenat << '\n';
    return 0;
}